<?
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
//Бан на форуме
$ban = $db -> query("SELECT * FROM `ban` WHERE `iduser` = '".$ya['id']."' and `serius` = 'forum' LIMIT 1");
if ($ban -> num_rows > 0) {
header('location: '.ROOT.'ban.php?mode=forum');
}
if ((int)$id) {
$type = $db -> query("SELECT * FROM `forum_tems` WHERE `id` = '".$id."'");
if ($type -> num_rows > 0) $the = $type -> fetch_assoc(); else $the = false;
} else $the = false;
$gol = $db -> query("SELECT * FROM `golos` WHERE `id_w` = '".$id."' and `where` = 'forum' LIMIT 1");
if ($gol -> num_rows < 1) {
if ((int)$the['user']==(int)$ya['id']){
if($aut==true){
    $cmsg = $db -> dbcount('COUNT(`id`)','mail',"`fid` = '".$ya['id']."' AND `read` = 'no'");
if ($cmsg > 0) $msg .='<div class="spisok"><a href="'.ROOT.'my/mail.php?act=in">Непрочитаные сообщения ('.$cmsg.')</a></div>';
$diz -> head('Форум');
$diz -> title("<a href='tema$id'>Тема</a>/<b>Добавление голосования</b>");
$msg.='<div class="fon">';
if (isset($_GET['act']) && $_GET['act']=='add' && isset($_POST['name']) && isset($_POST['1']) && isset($_POST['2']) && $_POST['1']!='' && $_POST['2']!='')
{
$name=$_POST['name'];
if (isset($_POST['tr']))
{
$name=shit($name);
}
for ($i=1;$i<=8;$i++)
{
if (isset($_POST[$i]))
{
$v[$i]=stripslashes(htmlspecialchars($_POST[$i]));
}
else
{
$v[$i]='';
}
}
$name = shit($_POST['name']); 
$g1 = shit($_POST[1]); 
$g2 = shit($_POST[2]); 
$g3 = shit($_POST[3]); 
$g4 = shit($_POST[4]); 
$g5 = shit($_POST[5]); 
$g6 = shit($_POST[6]); 
$g7 = shit($_POST[7]); 
$g8 = shit($_POST[8]); 
$db -> query("INSERT INTO `golos` (`time`,`where`,`id_w`, `name`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`)
values('".time()."','forum', '".$id."', '".$name."', '".$g1."', '".$g2."', '".$g3."', '".$g4."', '".$g5."', '".$g6."', '".$g7."', '".$g8."');");

header("Location: tema".$id."");
exit;
}
$msg .= "<form method=\"post\" action=\"add.php?act=add&amp;id=$id\">\n";
$msg .= "<b>Название:</b><br />\n<input name=\"name\" class=\"form\" type=\"text\" /><br />\n";

$msg .=  "1) <b>Ответ: </b><br />\n<input name=\"1\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "2) <b>Ответ: </b><br />\n<input name=\"2\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "3) Ответ:<br />\n<input name=\"3\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "4) Ответ:<br />\n<input name=\"4\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "5) Ответ:<br />\n<input name=\"5\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "6) Ответ:<br />\n<input name=\"6\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "7) Ответ:<br />\n<input name=\"7\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
$msg .=  "8) Ответ:<br />\n<input name=\"8\" class=\"form\" type=\"text\" value=\"\" /><br />\n";


$msg .=  "<input value=\"Добавить\" class=\"form\" type=\"submit\" />\n";
$msg .=  "</form>\n";
$msg .=  "</div>\n";
}else{header('location: tema'.$id.'');}
require_once ('foot.php');
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}else{header('location: tema'.$id.'');}
}else{header('location: tema'.$id.'');}
?>